Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.xml
Interface WorkSubstituteRulesDocument

All Superinterfaces:
  XmlObject, XmlTokenSource

    public interface WorkSubstituteRulesDocument

extends XmlObject

A document containing one WorkSubstituteRules(@http://www.bea.com/wli/worklist/xml) element. This is a complex type.

Nested Class Summary
`static class` | `WorkSubstituteRulesDocument.Factory` A factory class with static methods for creating instances of this type.
`static interface` | `WorkSubstituteRulesDocument.WorkSubstituteRules` An XML WorkSubstituteRules(@http://www.bea.com/wli/worklist/xml).

Field Summary
`static SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`WorkSubstituteRulesDocument.WorkSubstituteRules` | `addNewWorkSubstituteRules()` Appends and returns a new empty "WorkSubstituteRules" element
`WorkSubstituteRulesDocument.WorkSubstituteRules` | `getWorkSubstituteRules()` Gets the "WorkSubstituteRules" element
`void` | `setWorkSubstituteRules(WorkSubstituteRulesDocument.WorkSubstituteRules workSubstituteRules)` Sets the "WorkSubstituteRules" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final SchemaType type

Method Detail

### getWorkSubstituteRules

    WorkSubstituteRulesDocument.WorkSubstituteRules getWorkSubstituteRules()

  Gets the "WorkSubstituteRules" element

### setWorkSubstituteRules

    void setWorkSubstituteRules(WorkSubstituteRulesDocument.WorkSubstituteRules workSubstituteRules)

  Sets the "WorkSubstituteRules" element

### addNewWorkSubstituteRules

    WorkSubstituteRulesDocument.WorkSubstituteRules addNewWorkSubstituteRules()

  Appends and returns a new empty "WorkSubstituteRules" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD